Subject: Re: [PATCH 2/3] gnu: wine: Build more reproducibly.

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 26 Jan 2023 22:09:07 +0100

Am Donnerstag, dem 26.01.2023 um 20:46 +0000 schrieb Kaelyn:
> ------- Original Message -------
> On Thursday, January 26th, 2023 at 7:28 PM, Liliana Marie Prikler
> <[email-masked]> wrote:
> 
> 
> > 
> > 
> > Hi,
> > 
> > Am Donnerstag, dem 26.01.2023 um 00:24 +0000 schrieb Kaelyn Takata:
> > 
> > > * gnu/packages/wine.scm (wine)[phases]: Add a new 'set-widl-time-
> > > override phase.
> > 
> > You're doing this for three packages, so there should be three
> > packages
> > in the ChangeLog as well.
> 
> I wasn't quite sure how to handle the changelog for the three
> packages since the various packages are variations of the same piece
> of software. If separate changelogs are desired, the existing can be
> copied and pasted for each of the three with the package name tweaked
> accordingly.
You can simply write (wine, wine64, wine-minimal)[#:phases].  It's just
to mark all the places that have changed.

> > On that note, it's somewhat odd that the wine packages can't share
> > some common phases. Perhaps we should refactor them a little to
> > make that possible.
> 
> I agree they could and should be refactored to share more of the
> phases--I just haven't been brave enough to try because of the weird
> mixed-architecture nature of the builds.
I feel you.  I can try to figure something out and reply to this thread
or open another one once I'm done.

Cheers